pdf.options {grDevices} | R Documentation

## Auxiliary Function to Set/View Defaults for Arguments of pdf

### Description

The auxiliary function `pdf.options` can be used to set or view (if called without arguments) the default values for some of the arguments to `pdf`.

`pdf.options` needs to be called before calling `pdf`, and the default values it sets can be overridden by supplying arguments to `pdf`.

### Usage

    pdf.options(..., reset = FALSE)

### Arguments

`...` | arguments `width`, `height`, `onefile`, `family`, `title`, `fonts`, `paper`, `encoding`, `pointsize`, `bg`, `fg`, `pagecentre`, `useDingbats`, `colormodel`, `fillOddEven` and `compress` can be supplied.
`reset` | logical: should the defaults be reset to their ‘factory-fresh’ values?

### Details

If both `reset = TRUE` and `...` are supplied the defaults are first reset to the ‘factory-fresh’ values and then the new values are applied.

### Value

A named list of all the defaults. If any arguments are supplied the return values are the old values and the result has the visibility flag turned off.

### See Also

`pdf`, `ps.options`.

### Examples

    pdf.options(bg = "pink")
    utils::str(pdf.options())
    pdf.options(reset = TRUE) # back to factory-fresh

[Package grDevices version 3.6.0 Index]